<?php

namespace ExactLinks\App\Http\Controllers;

use ExactLinks\App\Traits\Settings;
use ExactLinks\Framework\Request\Request;
use ExactLinks\App\Http\Requests\AdminRequest;

class SettingsController extends Controller
{
    public function updateSettings(Request $request)
    {
        $settings = wp_unslash($request->get('data'));
      
        if (get_option('exactlinks_settings')) {
            update_option('exactlinks_settings', $settings);
        } 
        
        return $this->sendSuccess([
            'message'  => __('Settings Successfully Updated', 'exact-links'),
        ], 200);
    }

    public function getSettings()
    {
        $settings = get_option(
           'exactlinks_settings',
           Settings::globalSettings()
        );
    
        return $this->sendSuccess(['settings' => $settings]);
    }
}
