<?php

/**
 * @var $router ExactLinks\Framework\Http\Router
 */


$router->prefix('links')->withPolicy('AdminPolicy')->group(function ($router) {
    $router->get('/', 'LinkController@getLinks');
    $router->get('/{id}/get_link', 'LinkController@getLink')->int('id');
    $router->put('/{id}/update_link', 'LinkController@updateLink')->int('id');
    $router->get('/get_link_attributes', 'LinkController@getLinkAttributes');
    $router->post('/maybe_delete_links', 'LinkController@maybeDeleteLinks');
});

$router->prefix('create_link')->withPolicy('AdminPolicy')->group(function ($router) {
    $router->get('get_slug', 'LinkController@getSlugConfig');
    $router->post('/', 'LinkController@createLink');
});

$router->prefix('global_settings')->withPolicy('AdminPolicy')->group(function ($router) {
    $router->get('get_settings', 'SettingsController@getSettings');
    $router->put('update_settings', 'SettingsController@updateSettings');
});
